{
  inputs,
  pkgs,
  lib,
  config,
  ...
}: {
  imports = [
    ./home.nix
    ./util/local-webapp.nix
    ./util/containers.nix
    # ./programs/stable-diffusion.nix
    # ./programs/openwebui.nix
    ./programs/anything-llm.nix
    inputs.comfyui.homeManagerModules.comfyui
  ];

  mainUser = "bolt";

  home.packages = with pkgs; [
    nicotine-plus
  ];

  programs.comfyui = {
    enable = true;
    storage = "/home/${config.mainUser}/.local/share/comfyui/";
    plugins = let 
      inherit (pkgs.comfyui-plugins) gguf openpose;
    in [
      gguf
      # essentials
      openpose
    ];
  };
}
